/*
  basé sur l'exemple Repeating Web client
 */
#include <SPI.h>
#include <Ethernet.h>

byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED};
EthernetClient client;

unsigned long lastConnectionTime = 0;             // last time you connected to the server, in milliseconds
const unsigned long postingInterval = 10L * 6000L; // delay between updates, in milliseconds

char server[] = "www.serveurduke.fr";

void setup() {
  
  Serial.begin(9600);  // start serial port:
  while (!Serial) { ; }
  
  delay(1000);  // give the ethernet module time to boot up:
  
  Ethernet.begin(mac);
  Serial.print("My IP address: ");
  Serial.println(Ethernet.localIP());
}

void loop() 
{
if (client.available()) {
      char c = client.read();
      Serial.print(c);
      }

  // if ten seconds have passed since your last connection,
  // then connect again and send data:
  if (millis() - lastConnectionTime > postingInterval) { httpRequest(); }
}



// this method makes a HTTP connection to the server:
void httpRequest() {
  // close any connection before send a new request.
  // This will free the socket on the WiFi shield
  client.stop();

  // if there's a successful connection:
  if (client.connect(server, 80)) {
    Serial.println("connecting...");
    // send the HTTP GET request:

    // le FICHIER ip.php doit être placé sur votre serveur web. sinon vous pouvez pinger le mien.
    client.println("GET /ip.php HTTP/1.1");
    client.println("Host: www.serveurduke.fr");
    client.println("User-Agent: arduino-ethernet");
    client.println("Connection: close");
    client.println();

    // note the time that the connection was made:
    lastConnectionTime = millis();
  } else {
    // if you couldn't make a connection:
    Serial.println("connection failed");
  }
}
